Browse Source

Fix the circleci packages for Buster. (#13583)

* Update config.yml

* Update config.yml

* Update config.yml

* Update config.yml

* Update config.yml

* Update config.yml

* Update config.yml

* Update .circleci/config.yml

Co-authored-by: Sandro <sandro.jaeckel@gmail.com>

* Update config.yml

Co-authored-by: Sandro <sandro.jaeckel@gmail.com>
Co-authored-by: Eugen Rochko <eugen@zeonfederated.com>
Shlee 3 months ago
parent
commit
a1062df1e1
No account linked to committer's email address
1 changed files with 7 additions and 13 deletions
  1. 7
    13
      .circleci/config.yml

+ 7
- 13
.circleci/config.yml View File

@@ -33,9 +33,9 @@ aliases:
33 33
   - &restore_ruby_dependencies
34 34
     restore_cache:
35 35
       keys:
36
-        - v2-ruby-dependencies-{{ checksum "/tmp/.ruby-version" }}-{{ checksum "Gemfile.lock" }}
37
-        - v2-ruby-dependencies-{{ checksum "/tmp/.ruby-version" }}-
38
-        - v2-ruby-dependencies-
36
+        - v3-ruby-dependencies-{{ checksum "/tmp/.ruby-version" }}-{{ checksum "Gemfile.lock" }}
37
+        - v3-ruby-dependencies-{{ checksum "/tmp/.ruby-version" }}-
38
+        - v3-ruby-dependencies-
39 39
 
40 40
   - &install_steps
41 41
     steps:
@@ -43,13 +43,13 @@ aliases:
43 43
       - *attach_workspace
44 44
       - restore_cache:
45 45
           keys:
46
-            - v1-node-dependencies-{{ checksum "yarn.lock" }}
47
-            - v1-node-dependencies-
46
+            - v2-node-dependencies-{{ checksum "yarn.lock" }}
47
+            - v2-node-dependencies-
48 48
       - run:
49 49
           name: Install yarn dependencies
50 50
           command: yarn install --frozen-lockfile
51 51
       - save_cache:
52
-          key: v1-node-dependencies-{{ checksum "yarn.lock" }}
52
+          key: v2-node-dependencies-{{ checksum "yarn.lock" }}
53 53
           paths:
54 54
             - ./node_modules/
55 55
       - *persist_to_workspace
@@ -61,12 +61,6 @@ aliases:
61 61
           sudo apt-get update
62 62
           sudo apt-get install -y libicu-dev libidn11-dev libprotobuf-dev protobuf-compiler
63 63
 
64
-          ## TODO: FIX THESE BUSTER DEPENDANCES
65
-          sudo wget http://ftp.au.debian.org/debian/pool/main/i/icu/libicu57_57.1-6+deb9u3_amd64.deb
66
-          sudo dpkg -i libicu57_57.1-6+deb9u3_amd64.deb
67
-          sudo wget http://ftp.au.debian.org/debian/pool/main/p/protobuf/libprotobuf10_3.0.0-9_amd64.deb
68
-          sudo dpkg -i libprotobuf10_3.0.0-9_amd64.deb
69
-
70 64
   - &install_ruby_dependencies
71 65
       steps:
72 66
         - *attach_workspace
@@ -87,7 +81,7 @@ aliases:
87 81
             name: Install bundler dependencies
88 82
             command: bundle check || (bundle install && bundle clean)
89 83
         - save_cache:
90
-            key: v2-ruby-dependencies-{{ checksum "/tmp/.ruby-version" }}-{{ checksum "Gemfile.lock" }}
84
+            key: v3-ruby-dependencies-{{ checksum "/tmp/.ruby-version" }}-{{ checksum "Gemfile.lock" }}
91 85
             paths:
92 86
               - ./.bundle/
93 87
               - ./vendor/bundle/

Loading…
Cancel
Save